from rosreestrXml.ui.MainForm import findProperties
from rosreestrXml.ui.tools.KPT.kptTools.DbKptDirectory import KptСatalog
def getPropertyUnder_construction(db):
    values_db = db.GetPropertiesKpt('under_construction')
    item_value = findProperties(values_db, 'объекты(контура,линии)')
    prop_Under_construction = {}
    prop_Under_construction['contours'] = {}
    prop_Under_construction['contours']['enable'] = True
    prop_Under_construction['contours']['style'] = "Pen (2, 2, 8388608) Brush (63, 0)"
    if item_value is not None:
        prop_Under_construction['contours']['enable'] = item_value['enable']
        prop_Under_construction['contours']['style'] = item_value['style']
    prop_Under_construction['contours_points'] = {}
    prop_Under_construction['contours_points']['enable'] = True
    prop_Under_construction['contours_points']['style'] = "Symbol (49, 65280, 12)"
    item_value = findProperties(values_db, 'точки')
    if item_value is not None:
        prop_Under_construction['contours_points']['enable'] = item_value['enable']
        prop_Under_construction['contours_points']['style'] = item_value['style']
    return prop_Under_construction
db = KptСatalog()
prop=getPropertyUnder_construction(db)
jkl=0